Index: /pjproject/trunk/pjlib/build/pjlib.dsp
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib.dsp	(revision 125)
+++ /pjproject/trunk/pjlib/build/pjlib.dsp	(revision 126)
@@ -165,13 +165,4 @@
 # End Source File
 # End Group
-# Begin Group "src_compat"
-
-# PROP Default_Filter ""
-# Begin Source File
-
-SOURCE=..\src\pj\compat\unicode_win32.c
-# PROP Exclude_From_Build 1
-# End Source File
-# End Group
 # Begin Source File
 
@@ -328,4 +319,8 @@
 
 SOURCE=..\src\pj\types.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\src\pj\unicode_win32.c
 # End Source File
 # End Group
@@ -438,8 +433,4 @@
 # Begin Source File
 
-SOURCE=..\include\pj\compat\unicode.h
-# End Source File
-# Begin Source File
-
 SOURCE=..\include\pj\compat\vsprintf.h
 # End Source File
@@ -560,4 +551,8 @@
 
 SOURCE=..\include\pj\types.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pj\unicode.h
 # End Source File
 # End Group
Index: /pjproject/trunk/pjlib/build/pjlib.vcproj
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 125)
+++ /pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 126)
@@ -947,4 +947,7 @@
 				</FileConfiguration>
 			</File>
+			<File
+				RelativePath="..\src\pj\unicode_win32.c">
+			</File>
 			<Filter
 				Name="Other Targets"
@@ -1308,23 +1311,4 @@
 							PreprocessorDefinitions=""
 							BrowseInformation="1"/>
-					</FileConfiguration>
-				</File>
-			</Filter>
-			<Filter
-				Name="Src Compat"
-				Filter="">
-				<File
-					RelativePath="..\src\pj\compat\unicode_win32.c">
-					<FileConfiguration
-						Name="Debug|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"/>
 					</FileConfiguration>
 				</File>
@@ -1421,4 +1405,7 @@
 				RelativePath="..\include\pj\types.h">
 			</File>
+			<File
+				RelativePath="..\include\pj\unicode.h">
+			</File>
 			<Filter
 				Name="compat"
@@ -1498,7 +1485,4 @@
 				<File
 					RelativePath="..\include\pj\compat\time.h">
-				</File>
-				<File
-					RelativePath="..\include\pj\compat\unicode.h">
 				</File>
 				<File
Index: /pjproject/trunk/pjlib/build/pjlib_test.dsp
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib_test.dsp	(revision 125)
+++ /pjproject/trunk/pjlib/build/pjlib_test.dsp	(revision 126)
@@ -129,4 +129,13 @@
 
 SOURCE="..\src\pjlib-test\main.c"
+
+!IF  "$(CFG)" == "pjlib_test - Win32 Release"
+
+!ELSEIF  "$(CFG)" == "pjlib_test - Win32 Debug"
+
+# PROP Exclude_From_Build 1
+
+!ENDIF 
+
 # End Source File
 # Begin Source File
@@ -134,4 +143,8 @@
 SOURCE="..\src\pjlib-test\main_mod.c"
 # PROP Exclude_From_Build 1
+# End Source File
+# Begin Source File
+
+SOURCE="..\src\pjlib-test\main_win32.c"
 # End Source File
 # Begin Source File
Index: /pjproject/trunk/pjlib/build/pjlib_test.vcproj
===================================================================
--- /pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 125)
+++ /pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 126)
@@ -5,5 +5,7 @@
 	Name="pjlib_test"
 	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
-	SccLocalPath=".">
+	SccAuxPath=""
+	SccLocalPath="."
+	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
 	<Platforms>
 		<Platform
Index: /pjproject/trunk/pjlib/build/wince-evc4/pjlib_test_wince.vcp
===================================================================
--- /pjproject/trunk/pjlib/build/wince-evc4/pjlib_test_wince.vcp	(revision 125)
+++ /pjproject/trunk/pjlib/build/wince-evc4/pjlib_test_wince.vcp	(revision 126)
@@ -446,5 +446,5 @@
 CPP=cl.exe
 # ADD BASE CPP /nologo /W3 /Zi /Od /D "DEBUG" /D "_i386_" /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "i_386_" /D "UNICODE" /D "_UNICODE" /D "_X86_" /D "x86" /YX /Gs8192 /GF /c
-# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "_i386_" /D "i_386_" /D "_X86_" /D "x86" /D PJ_WIN32_WINCE=1 /D PJ_M_I386=1 /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "UNICODE" /D "_UNICODE" /YX /Gs8192 /GF /c
+# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "_i386_" /D "i_386_" /D "_X86_" /D "x86" /D PJ_WIN32_WINCE=1 /D PJ_M_I386=1 /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "UNICODE" /D "_UNICODE" /FR /YX /Gs8192 /GF /c
 MTL=midl.exe
 # ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o "NUL" /win32
@@ -644,5 +644,5 @@
 CPP=clarm.exe
 # ADD BASE CPP /nologo /W3 /Zi /Od /D "DEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "UNICODE" /D "_UNICODE" /YX /M$(CECrtMTDebug) /c
-# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "UNICODE" /D "_UNICODE" /YX /M$(CECrtMTDebug) /c
+# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D UNDER_CE=$(CEVersion) /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "UNICODE" /D "_UNICODE" /FR /YX /M$(CECrtMTDebug) /c
 MTL=midl.exe
 # ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o "NUL" /win32
@@ -15397,4 +15397,5 @@
 	"..\..\include\pj\string_i.h"\
 	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	"..\..\src\pjlib-test\test.h"\
 	
@@ -15597,4 +15598,7 @@
 	"..\..\include\pj\types.h"\
 	"..\..\src\pjlib-test\test.h"\
+	
+NODEP_CPP_MAIN_W=\
+	"..\..\include\pj\compat\unicode.h"\
 	
 
@@ -31693,4 +31697,5 @@
 	"..\..\include\pj\log.h"\
 	"..\..\include\pj\os.h"\
+	"..\..\include\pj\rand.h"\
 	"..\..\include\pj\types.h"\
 	"..\..\src\pjlib-test\test.h"\
Index: /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp
===================================================================
--- /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 125)
+++ /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 126)
@@ -716,809 +716,4 @@
 
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
-# Begin Group "src_compat"
-
-# PROP Default_Filter ""
-# Begin Source File
-
-SOURCE=..\..\src\pj\compat\unicode_win32.c
-
-!IF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII_FP) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII_FP) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH4) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH4) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH3) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH3) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_arm.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV_FP) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV_FP) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_arm.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ENDIF 
-
-# End Source File
-# End Group
 # Begin Source File
 
@@ -7329,5 +6524,4 @@
 	"..\..\include\pj\compat\sprintf.h"\
 	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
 	"..\..\include\pj\compat\vsprintf.h"\
 	"..\..\include\pj\config.h"\
@@ -7993,5 +7187,4 @@
 	"..\..\include\pj\compat\os_win32_wince.h"\
 	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\unicode.h"\
 	"..\..\include\pj\config.h"\
 	"..\..\include\pj\config_site.h"\
@@ -25650,4 +24843,803 @@
 
 # End Source File
+# Begin Source File
+
+SOURCE=..\..\src\pj\unicode_win32.c
+
+!IF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII_FP) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII_FP) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSII) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH4) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH4) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH3) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE SH3) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV_FP) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPSIV_FP) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+
+!ENDIF 
+
+# End Source File
 # End Group
 # Begin Group "Header Files"
@@ -25728,8 +25720,4 @@
 
 SOURCE=..\..\include\pj\compat\time.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\..\include\pj\compat\unicode.h
 # End Source File
 # Begin Source File
@@ -25862,4 +25850,8 @@
 SOURCE=..\..\include\pj\types.h
 # End Source File
+# Begin Source File
+
+SOURCE=..\..\include\pj\unicode.h
+# End Source File
 # End Group
 # End Target
Index: project/trunk/pjlib/include/pj/compat/unicode.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/compat/unicode.h	(revision 125)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/* $Id$ */
-/* 
- * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
- */
-#ifndef __PJ_COMPAT_UNICODE_H__
-#define __PJ_COMPAT_UNICODE_H__
-
-#include <pj/types.h>
-
-/**
- * @file unicode.h
- * @brief Provides Unicode conversion for Unicode OSes
- */
-
-#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
-
-#   define PJ_DECL_UNICODE_TEMP_BUF(var,size)    wchar_t var[size]
-#   define PJ_NATIVE_STRING(s,buf) pj_ansi_to_unicode(s,buf,PJ_ARRAY_SIZE(buf))
-
-    PJ_DECL(wchar_t*) pj_ansi_to_unicode(const char *s, wchar_t *buf,
-					 pj_size_t buf_count);
-
-#else	/* PJ_NATIVE_STRING_IS_UNICODE */
-
-#   define PJ_DECL_UNICODE_TEMP_BUF(var,size)
-#   define PJ_NATIVE_STRING(s, buf)		s
-
-#endif	/* PJ_NATIVE_STRING_IS_UNICODE */
-
-
-#endif	/* __PJ_COMPAT_UNICODE_H__ */
Index: /pjproject/trunk/pjlib/include/pj/unicode.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/unicode.h	(revision 126)
+++ /pjproject/trunk/pjlib/include/pj/unicode.h	(revision 126)
@@ -0,0 +1,75 @@
+/* $Id$ */
+/* 
+ * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+#ifndef __PJ_UNICODE_H__
+#define __PJ_UNICODE_H__
+
+#include <pj/types.h>
+
+/**
+ * @file unicode.h
+ * @brief Provides Unicode conversion for Unicode OSes
+ */
+
+/**
+ * Convert ANSI strings to Unicode strings.
+ *
+ * @param str		    The ANSI string to be converted.
+ * @param len		    The length of the input string.
+ * @param wbuf		    Buffer to hold the Unicode string output.
+ * @param wbuf_count	    Buffer size, in number of elements (not bytes).
+ *
+ * @return		    The Unicode string, NULL terminated.
+ */
+PJ_DECL(wchar_t*) pj_ansi_to_unicode(const char *str, pj_size_t len,
+				     wchar_t *wbuf, pj_size_t wbuf_count);
+
+
+/**
+ * Convert Unicode string to ANSI string.
+ *
+ * @param wstr		    The Unicode string to be converted.
+ * @param len		    The length of the input string.
+ * @param buf		    Buffer to hold the ANSI string output.
+ * @param buf_size	    Size of the output buffer.
+ *
+ * @return		    The ANSI string, NULL terminated.
+ */
+PJ_DECL(char*) pj_unicode_to_ansi(const wchar_t *wstr, pj_size_t len,
+				  char *buf, pj_size_t buf_size);
+
+
+#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+
+#   define PJ_DECL_UNICODE_TEMP_BUF(buf,size)    wchar_t buf[size]
+#   define PJ_STRING_TO_NATIVE(s,buf)		 pj_ansi_to_unicode( \
+						    s, strlen(s), \
+						    buf, PJ_ARRAY_SIZE(buf))
+#   define PJ_TEXT(s)				 _TEXT(s)
+
+#else
+
+#   define PJ_DECL_UNICODE_TEMP_BUF(var,size)
+#   define PJ_STRING_TO_NATIVE(s, buf)		(s)
+#   define PJ_TEXT(s)				(s)
+
+#endif
+
+
+
+#endif	/* __PJ_UNICODE_H__ */
Index: project/trunk/pjlib/src/pj/compat/unicode_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/compat/unicode_win32.c	(revision 125)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/* $Id$ */
-/* 
- * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
- */
-#include <pj/compat/unicode.h>
-#include <pj/assert.h>
-#include <pj/string.h>
-#include <windows.h>
-
-
-PJ_DEF(wchar_t*) pj_ansi_to_unicode(const char *s, wchar_t *buf,
-				    pj_size_t buf_count)
-{
-    int len;
-
-    PJ_ASSERT_RETURN(s, NULL);
-
-    len = MultiByteToWideChar(CP_ACP, 0, s, strlen(s), 
-			      buf, buf_count);
-    if (!len)
-	return NULL;
-
-    return buf;
-}
Index: /pjproject/trunk/pjlib/src/pj/file_access_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/file_access_win32.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/file_access_win32.c	(revision 126)
@@ -18,5 +18,5 @@
  */
 #include <pj/file_access.h>
-#include <pj/compat/unicode.h>
+#include <pj/unicode.h>
 #include <pj/assert.h>
 #include <pj/errno.h>
@@ -36,5 +36,5 @@
     PJ_ASSERT_RETURN(filename != NULL, 0);
 
-    hFile = CreateFile(PJ_NATIVE_STRING(filename,wfilename), READ_CONTROL, 
+    hFile = CreateFile(PJ_STRING_TO_NATIVE(filename,wfilename), READ_CONTROL, 
 		       FILE_SHARE_READ, NULL,
                        OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
@@ -59,5 +59,5 @@
     PJ_ASSERT_RETURN(filename != NULL, -1);
 
-    hFile = CreateFile(PJ_NATIVE_STRING(filename, wfilename), READ_CONTROL, 
+    hFile = CreateFile(PJ_STRING_TO_NATIVE(filename, wfilename), READ_CONTROL, 
                        FILE_SHARE_READ | FILE_SHARE_WRITE, NULL,
                        OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
@@ -91,5 +91,5 @@
     PJ_ASSERT_RETURN(filename != NULL, PJ_EINVAL);
 
-    if (DeleteFile(PJ_NATIVE_STRING(filename,wfilename)) == FALSE)
+    if (DeleteFile(PJ_STRING_TO_NATIVE(filename,wfilename)) == FALSE)
         return PJ_RETURN_OS_ERROR(GetLastError());
 
@@ -110,10 +110,10 @@
 
 #if PJ_WIN32_WINNT >= 0x0400
-    rc = MoveFileEx(PJ_NATIVE_STRING(oldname,woldname), 
-		    PJ_NATIVE_STRING(newname,wnewname), 
+    rc = MoveFileEx(PJ_STRING_TO_NATIVE(oldname,woldname), 
+		    PJ_STRING_TO_NATIVE(newname,wnewname), 
                     MOVEFILE_COPY_ALLOWED|MOVEFILE_REPLACE_EXISTING);
 #else
-    rc = MoveFile(PJ_NATIVE_STRING(oldname, woldname), 
-		  PJ_NATIVE_STRING(newname, wnewname));
+    rc = MoveFile(PJ_STRING_TO_NATIVE(oldname, woldname), 
+		  PJ_STRING_TO_NATIVE(newname, wnewname));
 #endif
 
@@ -167,5 +167,5 @@
     PJ_ASSERT_RETURN(filename!=NULL && stat!=NULL, PJ_EINVAL);
 
-    hFile = CreateFile(PJ_NATIVE_STRING(filename,wfilename), READ_CONTROL, 
+    hFile = CreateFile(PJ_STRING_TO_NATIVE(filename,wfilename), READ_CONTROL, 
 		       FILE_SHARE_READ, NULL,
                        OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
Index: /pjproject/trunk/pjlib/src/pj/file_io_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/file_io_win32.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/file_io_win32.c	(revision 126)
@@ -18,5 +18,5 @@
  */
 #include <pj/file_io.h>
-#include <pj/compat/unicode.h>
+#include <pj/unicode.h>
 #include <pj/errno.h>
 #include <pj/assert.h>
@@ -79,5 +79,5 @@
     dwFlagsAndAttributes = FILE_ATTRIBUTE_NORMAL;
 
-    hFile = CreateFile(PJ_NATIVE_STRING(pathname,wpathname), 
+    hFile = CreateFile(PJ_STRING_TO_NATIVE(pathname,wpathname), 
 		       dwDesiredAccess, dwShareMode, NULL,
                        dwCreationDisposition, dwFlagsAndAttributes, NULL);
Index: /pjproject/trunk/pjlib/src/pj/ioqueue_common_abs.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/ioqueue_common_abs.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/ioqueue_common_abs.c	(revision 126)
@@ -248,5 +248,4 @@
         if (h->fd_type == PJ_SOCK_DGRAM) {
             pj_list_erase(write_op);
-            write_op->op = 0;
 
             if (pj_list_empty(&h->write_list))
@@ -262,7 +261,9 @@
         sent = write_op->size - write_op->written;
         if (write_op->op == PJ_IOQUEUE_OP_SEND) {
+	    write_op->op = 0;
             send_rc = pj_sock_send(h->fd, write_op->buf+write_op->written,
                                    &sent, write_op->flags);
         } else if (write_op->op == PJ_IOQUEUE_OP_SEND_TO) {
+	    write_op->op = 0;
             send_rc = pj_sock_sendto(h->fd, 
                                      write_op->buf+write_op->written,
@@ -272,4 +273,5 @@
         } else {
             pj_assert(!"Invalid operation type!");
+	    write_op->op = 0;
             send_rc = PJ_EBUG;
         }
@@ -371,5 +373,4 @@
         read_op = h->read_list.next;
         pj_list_erase(read_op);
-        read_op->op = 0;
 
         /* Clear fdset if there is no pending read. */
@@ -383,11 +384,14 @@
 
 	if ((read_op->op == PJ_IOQUEUE_OP_RECV_FROM)) {
+	    read_op->op = 0;
 	    rc = pj_sock_recvfrom(h->fd, read_op->buf, &bytes_read, 0,
 				  read_op->rmt_addr, 
                                   read_op->rmt_addrlen);
 	} else if ((read_op->op == PJ_IOQUEUE_OP_RECV)) {
+	    read_op->op = 0;
 	    rc = pj_sock_recv(h->fd, read_op->buf, &bytes_read, 0);
         } else {
             pj_assert(read_op->op == PJ_IOQUEUE_OP_READ);
+	    read_op->op = 0;
             /*
              * User has specified pj_ioqueue_read().
Index: /pjproject/trunk/pjlib/src/pj/ioqueue_epoll.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/ioqueue_epoll.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/ioqueue_epoll.c	(revision 126)
@@ -401,6 +401,8 @@
     
     count = os_epoll_wait( ioqueue->epfd, events, PJ_ARRAY_SIZE(events), msec);
-    if (count <= 0)
+    if (count == 0)
 	return count;
+    else if (count < 0)
+	return -pj_get_netos_error();
 
     /* Lock ioqueue. */
Index: /pjproject/trunk/pjlib/src/pj/ioqueue_select.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/ioqueue_select.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/ioqueue_select.c	(revision 126)
@@ -424,5 +424,5 @@
     } event[PJ_IOQUEUE_MAX_EVENTS_IN_SINGLE_POLL];
 
-    PJ_ASSERT_RETURN(ioqueue, PJ_EINVAL);
+    PJ_ASSERT_RETURN(ioqueue, -PJ_EINVAL);
 
     /* Lock ioqueue before making fd_set copies */
@@ -461,5 +461,5 @@
     
     if (count <= 0)
-	return count;
+	return -pj_get_netos_error();
     else if (count > PJ_IOQUEUE_MAX_EVENTS_IN_SINGLE_POLL)
         count = PJ_IOQUEUE_MAX_EVENTS_IN_SINGLE_POLL;
Index: /pjproject/trunk/pjlib/src/pj/os_error_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/os_error_win32.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pj/os_error_win32.c	(revision 126)
@@ -22,4 +22,5 @@
 #include <pj/compat/sprintf.h>
 #include <pj/compat/vsprintf.h>
+#include <pj/unicode.h>
 #include <pj/string.h>
 
@@ -122,4 +123,5 @@
 {
     int len;
+    PJ_DECL_UNICODE_TEMP_BUF(wbuf,128);
 
     pj_assert(buf != NULL);
@@ -132,4 +134,5 @@
      */
 
+#if PJ_NATIVE_STRING_IS_UNICODE
     len = FormatMessage( FORMAT_MESSAGE_FROM_SYSTEM 
 			 | FORMAT_MESSAGE_IGNORE_INSERTS,
@@ -137,7 +140,20 @@
 			 os_errcode,
 			 MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), 
-			 (LPTSTR)buf,
-			 (DWORD)bufsize,
+			 wbuf,
+			 sizeof(wbuf),
 			 NULL);
+    if (len) {
+	pj_unicode_to_ansi(wbuf, len, buf, bufsize);
+    }
+#else
+    len = FormatMessage( FORMAT_MESSAGE_FROM_SYSTEM 
+			 | FORMAT_MESSAGE_IGNORE_INSERTS,
+			 NULL,
+			 os_errcode,
+			 MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), 
+			 buf,
+			 bufsize,
+			 NULL);
+#endif
 
     if (!len) {
Index: /pjproject/trunk/pjlib/src/pj/unicode_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/unicode_win32.c	(revision 126)
+++ /pjproject/trunk/pjlib/src/pj/unicode_win32.c	(revision 126)
@@ -0,0 +1,46 @@
+/* $Id$ */
+/* 
+ * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+#include <pj/unicode.h>
+#include <pj/assert.h>
+#include <pj/string.h>
+#include <windows.h>
+
+
+PJ_DEF(wchar_t*) pj_ansi_to_unicode(const char *s, pj_size_t len,
+				    wchar_t *buf, pj_size_t buf_count)
+{
+    PJ_ASSERT_RETURN(s && buf, NULL);
+
+    len = MultiByteToWideChar(CP_ACP, 0, s, len, 
+			      buf, buf_count);
+    buf[len] = 0;
+    return buf;
+}
+
+
+PJ_DEF(char*) pj_unicode_to_ansi( const wchar_t *wstr, pj_size_t len,
+				  char *buf, pj_size_t buf_size)
+{
+    PJ_ASSERT_RETURN(wstr && buf, NULL);
+
+    len = WideCharToMultiByte(CP_ACP, 0, wstr, len, buf, buf_size, NULL, NULL);
+    buf[len] = '\0';
+    return buf;
+}
+
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_perf.c	(revision 126)
@@ -304,5 +304,5 @@
 	TRACE_((THIS_FILE, "      pj_ioqueue_write.."));
         bytes = items[i].buffer_size;
-        rc = pj_ioqueue_send(items[i].client_key, &items[i].recv_op,
+        rc = pj_ioqueue_send(items[i].client_key, &items[i].send_op,
                              items[i].outgoing_buffer, &bytes, 0);
         if (rc != PJ_SUCCESS && rc != PJ_EPENDING) {
Index: /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/ioq_udp.c	(revision 126)
@@ -119,5 +119,5 @@
 {
     pj_sock_t ssock=-1, csock=-1;
-    pj_sockaddr_in addr;
+    pj_sockaddr_in addr, dst_addr;
     int addrlen;
     pj_pool_t *pool = NULL;
@@ -155,5 +155,5 @@
     // Bind server socket.
     TRACE_("bind socket...");
-    memset(&addr, 0, sizeof(addr));
+    pj_memset(&addr, 0, sizeof(addr));
     addr.sin_family = PJ_AF_INET;
     addr.sin_port = pj_htons(PORT);
@@ -187,12 +187,4 @@
     }
 
-    // Set destination address to send the packet.
-    TRACE_("set destination address...");
-    temp = pj_str("127.0.0.1");
-    if ((rc=pj_sockaddr_in_init(&addr, &temp, PORT)) != 0) {
-	app_perror("...error: unable to resolve 127.0.0.1", rc);
-	status=-26; goto on_error;
-    }
-
     // Randomize send_buf.
     pj_create_random_string(send_buf, bufsize);
@@ -200,4 +192,5 @@
     // Register reading from ioqueue.
     TRACE_("start recvfrom...");
+    pj_memset(&addr, 0, sizeof(addr));
     addrlen = sizeof(addr);
     bytes = bufsize;
@@ -217,9 +210,17 @@
     }
 
+    // Set destination address to send the packet.
+    TRACE_("set destination address...");
+    temp = pj_str("127.0.0.1");
+    if ((rc=pj_sockaddr_in_init(&dst_addr, &temp, PORT)) != 0) {
+	app_perror("...error: unable to resolve 127.0.0.1", rc);
+	status=-290; goto on_error;
+    }
+
     // Write must return the number of bytes.
     TRACE_("start sendto...");
     bytes = bufsize;
-    rc = pj_ioqueue_sendto(ckey, &write_op, send_buf, &bytes, 0, &addr, 
-			   sizeof(addr));
+    rc = pj_ioqueue_sendto(ckey, &write_op, send_buf, &bytes, 0, &dst_addr, 
+			   sizeof(dst_addr));
     if (rc != PJ_SUCCESS && rc != PJ_EPENDING) {
         app_perror("...error: pj_ioqueue_sendto", rc);
@@ -269,6 +270,12 @@
             }
 
-	    if (memcmp(send_buf, recv_buf, bufsize) != 0) {
-		status=-70; goto on_error;
+	    if (pj_memcmp(send_buf, recv_buf, bufsize) != 0) {
+		status=-67; goto on_error;
+	    }
+	    if (addrlen != sizeof(pj_sockaddr_in)) {
+		status=-68; goto on_error;
+	    }
+	    if (addr.sin_family != PJ_AF_INET) {
+		status=-69; goto on_error;
 	    }
 
@@ -296,11 +303,4 @@
 
 on_error:
-    if (status != 0) {
-	char errbuf[128];
-	PJ_LOG(1, (THIS_FILE, 
-		   "...compliance test error: status=%d, os_err=%d (%s)", 
-		   status, pj_get_netos_error(),
-	           pj_strerror(pj_get_netos_error(), errbuf, sizeof(errbuf))));
-    }
     if (ssock)
 	pj_sock_close(ssock);
@@ -432,5 +432,5 @@
 
     // Bind server socket.
-    memset(&addr, 0, sizeof(addr));
+    pj_memset(&addr, 0, sizeof(addr));
     addr.sin_family = PJ_AF_INET;
     addr.sin_port = pj_htons(PORT);
@@ -453,5 +453,5 @@
     inactive_read_op = (pj_ioqueue_op_key_t*)pj_pool_alloc(pool,
                               inactive_sock_count*sizeof(pj_ioqueue_op_key_t));
-    memset(&addr, 0, sizeof(addr));
+    pj_memset(&addr, 0, sizeof(addr));
     addr.sin_family = PJ_AF_INET;
     for (i=0; i<inactive_sock_count; ++i) {
@@ -480,5 +480,5 @@
         bytes = bufsize;
 	rc = pj_ioqueue_recv(key, &inactive_read_op[i], recv_buf, &bytes, 0);
-	if ( rc < 0 && rc != PJ_EPENDING) {
+	if (rc != PJ_EPENDING) {
 	    pj_sock_close(inactive_sock[i]);
 	    inactive_sock[i] = PJ_INVALID_SOCKET;
@@ -520,5 +520,5 @@
         bytes = bufsize;
 	rc = pj_ioqueue_recv(skey, &read_op, recv_buf, &bytes, 0);
-	if (rc < 0 && rc != PJ_EPENDING) {
+	if (rc != PJ_EPENDING) {
 	    app_perror("...error: pj_ioqueue_read()", rc);
 	    break;
@@ -531,5 +531,4 @@
 	if (rc != PJ_SUCCESS && rc != PJ_EPENDING) {
 	    app_perror("...error: pj_ioqueue_write()", bytes);
-	    rc = -1;
 	    break;
 	}
@@ -549,12 +548,15 @@
 	t_elapsed.u64 += (t2.u64 - t1.u64);
 
-	if (rc < 0)
+	if (rc < 0) {
+	    app_perror("   error: pj_ioqueue_poll", -rc);
 	    break;
+	}
 
 	// Compare recv buffer with send buffer.
 	if (callback_read_size != bufsize || 
-	    memcmp(send_buf, recv_buf, bufsize)) 
+	    pj_memcmp(send_buf, recv_buf, bufsize)) 
 	{
-	    rc = -1;
+	    rc = -10;
+	    PJ_LOG(3,(THIS_FILE, "   error: size/buffer mismatch"));
 	    break;
 	}
@@ -581,6 +583,6 @@
 
     } else {
-	PJ_LOG(2, (THIS_FILE, "...ERROR (buf:%d, fds:%d)", 
-			      bufsize, inactive_sock_count+2));
+	PJ_LOG(2, (THIS_FILE, "...ERROR rc=%d (buf:%d, fds:%d)", 
+			      rc, bufsize, inactive_sock_count+2));
     }
 
@@ -593,5 +595,5 @@
     pj_ioqueue_destroy(ioque);
     pj_pool_release( pool);
-    return 0;
+    return rc;
 
 on_error:
@@ -639,6 +641,6 @@
 
     for (bufsize=BUF_MIN_SIZE; bufsize <= BUF_MAX_SIZE; bufsize *= 2) {
-	if (bench_test(bufsize, SOCK_INACTIVE_MIN))
-	    return -1;
+	if ((status=bench_test(bufsize, SOCK_INACTIVE_MIN)) != 0)
+	    return status;
     }
     bufsize = 512;
@@ -648,6 +650,6 @@
     {
 	//PJ_LOG(3,(THIS_FILE, "...testing with %d fds", sock_count));
-	if (bench_test(bufsize, sock_count-2))
-	    return -1;
+	if ((status=bench_test(bufsize, sock_count-2)) != 0)
+	    return status;
     }
     return 0;
Index: /pjproject/trunk/pjlib/src/pjlib-test/main.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/main.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/main.c	(revision 126)
@@ -91,7 +91,4 @@
     }
 
-    pj_log_set_decor(PJ_LOG_HAS_NEWLINE | PJ_LOG_HAS_TIME | 
-                     PJ_LOG_HAS_MICRO_SEC);
-
     rc = test_main();
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/main_mod.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/main_mod.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/main_mod.c	(revision 126)
@@ -25,7 +25,4 @@
     printk(KERN_INFO "PJLIB test module loaded. Starting tests...\n");
     
-    pj_log_set_decor(PJ_LOG_HAS_NEWLINE | PJ_LOG_HAS_TIME | 
-                     PJ_LOG_HAS_MICRO_SEC);
-
     test_main();
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/main_win32.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/main_win32.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/main_win32.c	(revision 126)
@@ -20,88 +20,84 @@
 
 #include <pj/string.h>
-#include <pj/compat/unicode.h>
+#include <pj/unicode.h>
 #include <pj/sock.h>
 #include <pj/log.h>
 
+#define WIN32_LEAN_AND_MEAN
+#define NONAMELESSUNION
 #include <windows.h>
 #include <commctrl.h>
-
-#define MAX_LOADSTRING 100
-
-#define IDC_HELLO_WINCE		3
-#define ID_LOGWINDOW		104
-///#define IDI_HELLO_WINCE		101
-///#define IDM_MENU		102
-///#define IDD_ABOUTBOX		103
-///#define IDM_FILE_EXIT		40002
-///#define IDM_HELP_ABOUT		40003
-
-// Global Variables:
-HINSTANCE			hInst;			// The current instance
-///HWND				hwndCB;			// The command bar handle
-HWND				hwLogWnd;
-
-// Forward declarations of functions included in this code module:
-ATOM			MyRegisterClass	(HINSTANCE, LPTSTR);
-BOOL			InitInstance	(HINSTANCE, int);
-LRESULT CALLBACK	WndProc		(HWND, UINT, WPARAM, LPARAM);
-///LRESULT CALLBACK	About		(HWND, UINT, WPARAM, LPARAM);
-
-static TCHAR logbuf[8192];
-PJ_DECL_UNICODE_TEMP_BUF(wdata,256);
+#include <tchar.h>
+
+#define MAX_LOADSTRING	    100
+#define THIS_FILE	    "main_win32.c"
+
+#define IDC_HELLO_WINCE	    3
+#define ID_LOGWINDOW	    104
+
+
+ATOM			    MyRegisterClass	(HINSTANCE, LPTSTR);
+BOOL			    InitInstance	(HINSTANCE, int);
+LRESULT CALLBACK	    WndProc		(HWND, UINT, WPARAM, LPARAM);
+
+
+extern int		    param_log_decor;	// in test.c
+
+static HINSTANCE	    hInst;
+static HWND		    hwndLog;
+static HFONT		    hFixedFont;
+
 
 static void write_log(int level, const char *data, int len)
 {
-    GetWindowText(hwLogWnd, logbuf, PJ_ARRAY_SIZE(logbuf));
-    wcscat(logbuf, PJ_NATIVE_STRING(data,wdata));
-    SetWindowText(hwLogWnd, logbuf);
-    UpdateWindow(hwLogWnd);
-}
-
-
-int WINAPI WinMain(HINSTANCE hInstance,
-		   HINSTANCE hPrevInstance,
-		   LPTSTR    lpCmdLine,
-		   int       nCmdShow)
+    PJ_DECL_UNICODE_TEMP_BUF(wdata,256);
+
+    PJ_UNUSED_ARG(level);
+    PJ_UNUSED_ARG(len);
+    SendMessage(hwndLog, EM_REPLACESEL, FALSE, 
+		(LPARAM)PJ_STRING_TO_NATIVE(data,wdata));
+}
+
+
+int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, 
+		   LPTSTR lpCmdLine, int nCmdShow)
 {
     MSG msg;
-    HACCEL hAccelTable;
-    
-    // Perform application initialization:
-    if (!InitInstance (hInstance, nCmdShow)) 
-    {
+    
+    PJ_UNUSED_ARG(lpCmdLine);
+    PJ_UNUSED_ARG(hPrevInstance);
+
+    
+    if (!InitInstance (hInstance, nCmdShow))
 	return FALSE;
+    
+    pj_log_set_log_func( &write_log );
+    param_log_decor = PJ_LOG_HAS_NEWLINE | PJ_LOG_HAS_CR;
+
+    // Run the test!
+    test_main();
+
+    PJ_LOG(3,(THIS_FILE,""));
+    PJ_LOG(3,(THIS_FILE,"Press ESC to quit"));
+
+    // Message loop, waiting to quit.
+    while (GetMessage(&msg, NULL, 0, 0)) {
+	TranslateMessage(&msg);
+	DispatchMessage(&msg);
     }
     
-    pj_log_set_log_func( &write_log );
-    pj_log_set_decor(PJ_LOG_HAS_NEWLINE | PJ_LOG_HAS_CR);
-
-    test_main();
-
-    hAccelTable = LoadAccelerators(hInstance, (LPCTSTR)IDC_HELLO_WINCE);
-    
-    // Main message loop:
-    while (GetMessage(&msg, NULL, 0, 0)) 
-    {
-	if (!TranslateAccelerator(msg.hwnd, hAccelTable, &msg)) 
-	{
-	    TranslateMessage(&msg);
-	    DispatchMessage(&msg);
-	}
-    }
-    
+    DeleteObject(hFixedFont);
     return msg.wParam;
 }
 
-//
-//  FUNCTION: MyRegisterClass()
-//
-//  PURPOSE: Registers the window class.
-//
-//  COMMENTS:
-//
-//    It is important to call this function so that the application 
-//    will get 'well formed' small icons associated with it.
-//
+
+#ifdef _CONSOLE
+int main()
+{
+    return WinMain(GetModuleHandle(NULL), NULL, NULL, SW_SHOW);
+}
+#endif
+
+
 ATOM MyRegisterClass(HINSTANCE hInstance, LPTSTR szWindowClass)
 {
@@ -123,116 +119,90 @@
 }
 
-//
-//  FUNCTION: InitInstance(HANDLE, int)
-//
-//  PURPOSE: Saves instance handle and creates main window
-//
-//  COMMENTS:
-//
-//    In this function, we save the instance handle in a global variable and
-//    create and display the main program window.
-//
+
 BOOL InitInstance(HINSTANCE hInstance, int nCmdShow)
 {
     HWND	hWnd;
-    TCHAR	*szTitle = L"PJSIP Test";
-    TCHAR	*szWindowClass = L"PJSIP_TEST";
-    
-    hInst = hInstance;		// Store instance handle in our global variable
+    TCHAR	*szTitle = _T("PJSIP Test");
+    TCHAR	*szWindowClass = _T("PJSIP_TEST");
+    LOGFONT	lf;
+
+
+    memset(&lf, 0, sizeof(lf));
+    lf.lfHeight = 13;
+#if PJ_NATIVE_STRING_IS_UNICODE
+    wcscpy(lf.lfFaceName, _T("Courier New"));
+#else
+    strcpy(lf.lfFaceName, "Lucida Console");
+#endif
+
+    hFixedFont = CreateFontIndirect(&lf);
+    if (!hFixedFont)
+	return FALSE;
+
+    hInst = hInstance;
     
     MyRegisterClass(hInstance, szWindowClass);
     
     hWnd = CreateWindow(szWindowClass, szTitle, WS_VISIBLE,
-	CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, NULL, NULL, hInstance, NULL);
+		        CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, 
+			CW_USEDEFAULT, NULL, NULL, hInstance, NULL);
     
     if (!hWnd)
-    {	
 	return FALSE;
-    }
     
     ShowWindow(hWnd, nCmdShow);
     UpdateWindow(hWnd);
-    ///if (hwndCB)
-    ///	CommandBar_Show(hwndCB, TRUE);
-    if (hwLogWnd)
-	ShowWindow(hwLogWnd, TRUE);
+
+    if (hwndLog) {
+	SendMessage(hwndLog, WM_SETFONT, (WPARAM) hFixedFont, (LPARAM) 0);  
+	ShowWindow(hwndLog, TRUE);
+    }
+
     return TRUE;
 }
 
-//
-//  FUNCTION: WndProc(HWND, unsigned, WORD, LONG)
-//
-//  PURPOSE:  Processes messages for the main window.
-//
-//  WM_COMMAND	- process the application menu
-//  WM_PAINT	- Paint the main window
-//  WM_DESTROY	- post a quit message and return
-//
-//
+
 LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
 {
-    int wmId, wmEvent;
     RECT rt;
     DWORD dwStyle;
-    TCHAR *szHello = L"Hello world!";
     
     switch (message) 
     {
-    case WM_COMMAND:
-	wmId    = LOWORD(wParam); 
-	wmEvent = HIWORD(wParam); 
-	// Parse the menu selections:
-	switch (wmId)
-	{
-	///case IDM_HELP_ABOUT:
-	    ///DialogBox(hInst, (LPCTSTR)IDD_ABOUTBOX, hWnd, (DLGPROC)About);
-	///    break;
-	///case IDM_FILE_EXIT:
-	///    DestroyWindow(hWnd);
-	///    break;
-	default:
-	    return DefWindowProc(hWnd, message, wParam, lParam);
+    case WM_CREATE:
+	// Create text control.
+	GetClientRect(hWnd, &rt);
+	dwStyle = WS_CHILD | WS_VISIBLE | WS_HSCROLL | WS_VSCROLL | 
+		  WS_BORDER | ES_LEFT | ES_MULTILINE | ES_NOHIDESEL |
+		  ES_AUTOHSCROLL | ES_AUTOVSCROLL | ES_READONLY; 
+	hwndLog = CreateWindow( TEXT("edit"),	    // class
+				NULL,		    // window text
+				dwStyle,	    // style
+				0,		    // x-left
+				0,		    // y-top
+				rt.right-rt.left,   // w
+				rt.bottom-rt.top,   // h
+				hWnd,		    // parent
+				(HMENU)ID_LOGWINDOW,// id
+				hInst,		    // instance
+				NULL);		    // NULL for control.
+	break;
+    case WM_ACTIVATE:
+	if (LOWORD(wParam) == WA_INACTIVE)
+	    DestroyWindow(hWnd);
+	break;
+    case WM_CHAR:
+	if (wParam == 27) {
+	    DestroyWindow(hWnd);
 	}
 	break;
-	case WM_CREATE:
-	    ///hwndCB = CommandBar_Create(hInst, hWnd, 1);			
-	    ///CommandBar_InsertMenubar(hwndCB, hInst, IDM_MENU, 0);
-	    ///CommandBar_AddAdornments(hwndCB, 0, 0);
-	    GetClientRect(hWnd, &rt);
-	    dwStyle = WS_CHILD | WS_VISIBLE | WS_HSCROLL | WS_VSCROLL | 
-		      WS_BORDER | ES_LEFT | ES_MULTILINE | ES_NOHIDESEL | 
-		      ES_AUTOHSCROLL | ES_AUTOVSCROLL; 
-	    hwLogWnd = CreateWindow( TEXT("edit"),  // class
-				     NULL,	    // window text
-				     dwStyle,	    // style
-				     0,		    // x-left
-				     0,		    // y-top
-				     rt.right-rt.left, // w
-				     rt.bottom-rt.top, // h
-				     hWnd,	    // parent
-				     (HMENU)ID_LOGWINDOW,   // id
-				     hInst,	    // instance
-				     NULL);	    // NULL for control.
-	    break;
-	case WM_PAINT:
-	    ///hdc = BeginPaint(hWnd, &ps);
-	    ///GetClientRect(hWnd, &rt);
-	    ///DrawText(hdc, szHello, _tcslen(szHello), &rt, 
-	    ///	DT_SINGLELINE | DT_VCENTER | DT_CENTER);
-	    ///EndPaint(hWnd, &ps);
-	    break;
-	case WM_ACTIVATE:
-	    if (LOWORD(wParam) == WA_INACTIVE)
-		DestroyWindow(hWnd);
-	    break;
-	case WM_CLOSE:
-	    DestroyWindow(hWnd);
-	    break;
-	case WM_DESTROY:
-	    ///CommandBar_Destroy(hwndCB);
-	    PostQuitMessage(0);
-	    break;
-	default:
-	    return DefWindowProc(hWnd, message, wParam, lParam);
+    case WM_CLOSE:
+	DestroyWindow(hWnd);
+	break;
+    case WM_DESTROY:
+	PostQuitMessage(0);
+	break;
+    default:
+	return DefWindowProc(hWnd, message, wParam, lParam);
     }
     return 0;
Index: /pjproject/trunk/pjlib/src/pjlib-test/sleep.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/sleep.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/sleep.c	(revision 126)
@@ -153,5 +153,5 @@
 
 	/* Compare t1 and t2. */
-	if (PJ_TIME_VAL_LTE(t2, t1)) {
+	if (PJ_TIME_VAL_LT(t2, t1)) {
 	    PJ_LOG(3,(THIS_FILE, "...error: t2 is less than t1!!"));
 	    return -75;
Index: /pjproject/trunk/pjlib/src/pjlib-test/string.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/string.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/string.c	(revision 126)
@@ -209,6 +209,6 @@
 
     if (c1 < c2) {
-	PJ_LOG(3,("", "  error: pj_stricmp_alnum is slower than pj_stricmp!"));
-	return -700;
+	PJ_LOG(3,("", "  info: pj_stricmp_alnum is slower than pj_stricmp!"));
+	//return -700;
     }
 
Index: /pjproject/trunk/pjlib/src/pjlib-test/test.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/test.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/test.c	(revision 126)
@@ -38,4 +38,6 @@
 const char *param_echo_server = ECHO_SERVER_ADDRESS;
 int param_echo_port = ECHO_SERVER_START_PORT;
+int param_log_decor = PJ_LOG_HAS_NEWLINE | PJ_LOG_HAS_TIME | 
+		      PJ_LOG_HAS_MICRO_SEC;
 
 int test_inner(void)
@@ -49,4 +51,5 @@
 
     pj_log_set_level(3);
+    pj_log_set_decor(param_log_decor);
 
     rc = pj_init();
Index: /pjproject/trunk/pjlib/src/pjlib-test/timestamp.c
===================================================================
--- /pjproject/trunk/pjlib/src/pjlib-test/timestamp.c	(revision 125)
+++ /pjproject/trunk/pjlib/src/pjlib-test/timestamp.c	(revision 126)
@@ -20,4 +20,5 @@
 #include <pj/os.h>
 #include <pj/log.h>
+#include <pj/rand.h>
 
 
@@ -49,7 +50,8 @@
 int timestamp_test(void)
 {
-    enum { CONSECUTIVE_LOOP = 1000 };
+    enum { CONSECUTIVE_LOOP = 100 };
     volatile unsigned i;
     pj_timestamp freq, t1, t2;
+    pj_time_val tv1, tv2;
     unsigned elapsed;
     pj_status_t rc;
@@ -75,25 +77,39 @@
     rc = pj_get_timestamp(&t1);
     if (rc != PJ_SUCCESS) {
-	app_perror("...ERROR: get timestamp", rc);
+	app_perror("...ERROR: pj_get_timestamp", rc);
 	return -1001;
     }
+    rc = pj_gettimeofday(&tv1);
+    if (rc != PJ_SUCCESS) {
+	app_perror("...ERROR: pj_gettimeofday", rc);
+	return -1002;
+    }
     for (i=0; i<CONSECUTIVE_LOOP; ++i) {
-        /*
-	volatile unsigned j;
-	for (j=0; j<1000; ++j)
-	    ;
-         */
-        pj_thread_sleep(1);
+        
+        pj_thread_sleep(pj_rand() % 100);
+
 	rc = pj_get_timestamp(&t2);
 	if (rc != PJ_SUCCESS) {
-	    app_perror("...ERROR: get timestamp", rc);
-	    return -1002;
+	    app_perror("...ERROR: pj_get_timestamp", rc);
+	    return -1003;
 	}
+	rc = pj_gettimeofday(&tv2);
+	if (rc != PJ_SUCCESS) {
+	    app_perror("...ERROR: pj_gettimeofday", rc);
+	    return -1004;
+	}
+
 	/* compare t2 with t1, expecting t2 >= t1. */
 	if (t2.u32.hi < t1.u32.hi ||
 	    (t2.u32.hi == t1.u32.hi && t2.u32.lo < t1.u32.lo))
 	{
-	    PJ_LOG(3,(THIS_FILE, "...ERROR: timestamp runs backwards!"));
-	    return -1003;
+	    PJ_LOG(3,(THIS_FILE, "...ERROR: timestamp run backwards!"));
+	    return -1005;
+	}
+
+	/* compare tv2 with tv1, expecting tv2 >= tv1. */
+	if (PJ_TIME_VAL_LT(tv2, tv1)) {
+	    PJ_LOG(3,(THIS_FILE, "...ERROR: time run backwards!"));
+	    return -1006;
 	}
     }
